Package Gnumed :: Package wxpython :: Module gmEMRTimelineWidgets :: Class cEMRTimelinePluginPnl |
[frames] | no frames]

# Class cEMRTimelinePluginPnl

source code

                                             wx.ScrolledWindow --+
                                                                 |
    wxGladeWidgets.wxgEMRTimelinePluginPnl.wxgEMRTimelinePluginPnl --+
                                                                     |
                                   gmRegetMixin.cRegetOnPaintMixin --+
                                                                     |
                                                                    cEMRTimelinePluginPnl

Panel holding a number of widgets. Used as notebook page.

Instance Methods
__init__(self, *args, **kwargs) | source code
repopulate_ui(self) Just a glue method to make this compatible with notebook plugins. | source code

Method Details

### __init__(self, *args, **kwargs) (Constructor) | source code
Overrides: gmRegetMixin.cRegetOnPaintMixin.__init__

### repopulate_ui(self) | source code
Just a glue method to make this compatible with notebook plugins. Overrides: gmRegetMixin.cRegetOnPaintMixin.repopulate_ui (inherited documentation)